package cn.kdan.cloud.pdf.office.api.account.vo;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 个人信息类 主要返回前端使用
 */
@Data
public class UserInfoVO {

    private String id;

    private String companyId;

    private String appId;

    private String email;

    private String fullName;

    private Integer subscriberType;

    private Integer subscribed;

    private String digestPassword;

    private String phone;

    private String industry;

    private Integer lastPopularizeAt;

    private Date lastPresentedCouponAt;

    private Integer mailable;

    private Integer resetToken;

    private String role;

    private String job;

    private String area;

    private Integer platformType;

    private Integer accountType;

    private Integer accountSource;

    private Date createdAt;

    private Date updatedAt;

    private String remark;

    private String validFlag;

    private List<UserSubscriptionInfoVO> subscriptionInfoList;
}
