package cn.kdan.cloud.pdf.office.api.payment.dto;

import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author ComPDFKit-WPH 2023/1/29
 * <p>
 * CreatSubscriptionDTO
 */
@Data
@ToString
public class CreatSubscriptionDTO implements Serializable {

    /**
     * userId
     */
    @NotNull(message = "userId 不能为空")
    private String userId;

    /**
     * productId
     */
    @NotNull(message = "productId 不能为空")
    private String productId;

    private String appId;

    private String thirdSubscriptionId;

    @NotNull(message = "orderId 不能为空")
    private String orderId;

    /**
     * 有效期 1.months ，1.years，1.days
     * 不填以产品中的有效期为准
     */
    private String termOfValidity;


}
