package cn.kdan.cloud.pdf.office.api.payment.dto;

import cn.kdan.cloud.pdf.office.api.payment.paypal.LinkDescription;
import cn.kdan.cloud.pdf.office.api.payment.paypal.Resource;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author ComPDFKit-WPH 2023/1/17
 */
@Data
@ToString
public class PaypalWebhookMonitorDTO implements Serializable {

    private String id;
    private String create_time;
    private String resource_type;
    private String event_type;
    private String summary;
    private Resource resource;
    private List<LinkDescription> links;
    private String event_version;
    private String resource_version;


}
