package cn.kdan.cloud.pdf.office.api.payment.enums;

import lombok.Getter;

/**
 * @author ComPDFKit-WPH 2023/1/29
 * <p>
 * 支付方式 枚举类
 */
public enum PaymentMethodEnum {
    PAYPAL(0),
    ALIPAY(1),
    WXPAY(2),
    PADDLE(3),
    NO_NEED_TO_PAY(4),
;
    @Getter
    private final Integer value;

    PaymentMethodEnum(int value) {
        this.value = value;
    }
}
