package cn.kdan.cloud.pdf.office.common.constant;

/**
 * @author ComPDFKit-WPH 2023/1/11
 * <p>
 * RabbitMq 公共字段
 */
public interface RabbitMqConstant {

    // 交互机
    /* email发送交换机 */
    String EMAIL_EXCHANGE = "pdf-office-email-exchange";
    /* payment发送交换机 */
    String PAYMENT_EXCHANGE = "pdf-office-payment-exchange";
    String DELAY_EXCHANGE = "pdf-office-delay-exchange";
    // 队列
    /* email发送队列 */
    String EMAIL_SEND_QUEUE = "pdf_office_email_send_queue";

    // 路由
    /* email发送路由 */
    String EMAIL_SEND_ROUTING_KEY = "email.send";

    /* 订单过期关单路由 */
    String PAYMENT_ORDER_ROUTING_KEY = "payment.order";
    String PAYMENT_ORDER_DELAY_QUEUE = "pdf_office_payment_order_delay_queue";
    String PAYMENT_ORDER_QUEUE = "pdf_office_payment_order_queue";

    /* 订阅过期路由和队列 */
    String PAYMENT_SUBSCRIPTION_EXPIRED_ROUTING_KEY = "payment.subscription.expired";
    String PAYMENT_SUBSCRIPTION_EXPIRED_DELAY_QUEUE = "pdf_office_payment_subscription_expired_delay_queue";
    String PAYMENT_SUBSCRIPTION_EXPIRED_QUEUE = "pdf_office_payment_subscription_expired_queue";

}
