package cn.kdan.cloud.pdf.office.product.entity;

import cn.kdan.cloud.pdf.office.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * @author ComPDFKit-WPH 2023-01-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("product")
public class Product extends BaseEntity{

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;
    /**
     * 产品/计划名称
     */
    private String productName;
    /**
     * app ID
     */
    private Integer appId;
    /**
     * 
     */
    private String code;
    /**
     * 价格
     */
    private BigDecimal price;
    /**
     * 
     */
    private String forVersion;
    /**
     * 
     */
    private String forPeriod;
    /**
     * 
     */
    private Integer maxDeviceNum;
    /**
     * 
     */
    private String description;
    /**
     * 
     */
    private BigDecimal cnyPrice;
    /**
     * 
     */
    private Integer parentProductId;
    /**
     * 
     */
    private String sonIds;
    /**
     * 
     */
    private BigDecimal displayPrice;
    /**
     * 
     */
    private BigDecimal cnyDisplayPrice;
    /**
     * paddle 产品/计划ID
     */
    private String paddleProductId;

    /**
     * 关联活动id
     */
    private String activityId;

    /**
     * 产品平台 1：windows，2：mac  PlatformEnum
     */
    private Integer platform;

}
