package cn.kdan.cloud.pdf.office.api.payment.vo;

import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author ComPDFKit-WPH 2023/2/9
 */
@Data
@ToString
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class OrderInfoVO {

    private LocalDateTime date;

    private String scheme;

    private BigDecimal price;
    /**
     * 平台
     * platformEnum
     */
    private Integer platform;

    /**
     * 订单状态， ['created' => 0, 'approved' => 1, 'completed' => 2, 'closed' => 3, 'refund' =>4]
     * OrderConstant
     */
    private Integer status;

    private String productName;

}
