package cn.kdan.cloud.pdf.office.api.payment.vo;

import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author ComPDFKit-WPH 2023/2/9
 */
@Data
@ToString
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SubscriptionInfoVO {

    private BigDecimal price;

    private LocalDateTime endDate;
    /**
     * 支付方式  ['paypal' => 0, 'alipay' => 1, 'wxpay' => 2, 'paddle' => 3, 'no need to pay' => 4];
     */
    private Integer paymentMethod;

    private String productName;

}
