package cn.kdan.cloud.pdf.office.api.product.vo;

import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;

/**
 * @author ComPDFKit-WPH 2023-01-29
 */
@Data
@ToString
public class ProductVO {

    /**
     * id
     */
    private Integer id;
    /**
     * 产品/计划名称
     */
    private String productName;
    /**
     * app ID
     */
    private Integer appId;
    /**
     * 
     */
    private String code;
    /**
     * 价格
     */
    private BigDecimal price;
    /**
     * 
     */
    private String forVersion;
    /**
     * 
     */
    private String forPeriod;
    /**
     * 
     */
    private Integer maxDeviceNum;
    /**
     * 
     */
    private String description;
    /**
     * 
     */
    private BigDecimal cnyPrice;
    /**
     * 
     */
    private Integer parentProductId;
    /**
     * 
     */
    private String sonIds;
    /**
     * 
     */
    private BigDecimal displayPrice;
    /**
     * 
     */
    private BigDecimal cnyDisplayPrice;

    /**
     * 关联活动id
     */
    private String activityId;
    /**
     * 活动信息
     */
    private ActivityInfoVO activityInfo;

    /**
     * 产品平台 1：windows，2：mac  PlatformEnum
     */
    private Integer platform;

}
