package cn.kdan.cloud.pdf.office.sso.constant;

public class AuthConstant {

    public final static int EXCEPTION_CODE_IMAGE_CODE_ERROR = 301;
    public final static String EXCEPTION_MSG_IMAGE_CODE_ERROR = "图形验证码错误";

    public final static int EXCEPTION_CODE_USER_NOT_FOUND = 302;
    public final static String EXCEPTION_MSG_USER_NOT_FOUND = "email not register";

    public final static int EXCEPTION_CODE_USER_PASSWORD_ERROR = 306;
    public final static String EXCEPTION_MSG_USER_PASSWORD_ERROR = "账号密码错误";

    public final static int EXCEPTION_CODE_SESSION_NOT_FOUND = 307;
    public final static String EXCEPTION_MSG_SESSION_NOT_FOUND = "账号不存在";

    public final static int EXCEPTION_CODE_TOKEN_IS_INVALID = 310;
    public final static String EXCEPTION_MSG_TOKEN_IS_INVALID = "无效的token或者token已过期";
    public final static String EXCEPTION_MSG_PLEASE_ADD_AUTH_CONFIG = "please add auth config";

    public final static String EXCEPTION_MSG_DEVICE_NUM_MAX = "您的登录设备已达上限，请退出其他设备重新登录";

    public final static int EXCEPTION_CODE_USER_NOT_LOGIN = 313;
    public final static String EXCEPTION_MSG_USER_NOT_LOGIN = "用户没有登录，请登录后再访问";

    public final static int EXCEPTION_CODE_GET_CODE_FAIL = 314;
    public final static String EXCEPTION_MSG_GET_CODE_FAIL = "获取授权码失败";

    public final static String GET_AUTHORIZE_CODE_SUCCESS = "获取授权码成功";

    public final static int EXCEPTION_CODE_GET_TOKEN_FAIL = 315;
    public final static String EXCEPTION_MSG_GET_TOKEN_FAIL = "获取token失败";

    public final static String EXCEPTION_MSG_GET_APP_INFO_FAIL = "获取token失败，应用信息为空";

    public final static String MSG_LOGIN_SUCCESS = "用户登录成功";
    public final static String MSG_LOGOUT_SUCCESS = "用户登出成功";


    public static final String LOCK_PERIOD = "lock_period";
    public static final String LOCK_TIMES = "lock_times";
    public static final String LOCK_MINUTES = "lock_minutes";
    public static final String SESSION_ = "session_";
    public static final String PASSWORD_ERROR_ = "password_error_";

    public static final String MOBILE_REGEX = "[1][3456789]\\d{9}";
    public static final String EMAIL_REGEX = "^([a-z0-9A-Z]+[-|\\.]?)+[a-z0-9A-Z]@([a-z0-9A-Z]+(-[a-z0-9A-Z]+)?\\.)+[a-zA-Z]{2,}$";


    public static final String ACCESS = "access:";
    public static final String AUTH_TO_ACCESS = "auth_to_access:";
    public static final String AUTH = "auth:";
    public static final String REFRESH_AUTH = "refresh_auth:";
    public static final String ACCESS_TO_REFRESH = "access_to_refresh:";
    public static final String REFRESH = "refresh:";
    public static final String REFRESH_TO_ACCESS = "refresh_to_access:";
    public static final String CLIENT_ID_TO_ACCESS = "client_id_to_access:";
    public static final String UNAME_TO_ACCESS = "uname_to_access:";

    public static final String DEFAULT_REDIRECT_URI = "https://127.0.0.1";

    public static final String EMAIL_VERIFY_CODE_KEY = "verifyCode_email";

    public static final String DEVICE_LOGIN_TOKEN_KEY = "_device_login_token_key";

    public static final String EMAIL_VERIFY_CODE_KEY_ERROR = "email code error!";

    public static final String EMAIL_REGISTER_ERROR = "Register error!";

    public static final String EXCEPTION_MSG_PASSWORD_ERROR = "密码错误，请重新输入";

    public static final String EXCEPTION_MSG_CODE_ACTION_ERROR = "operation action error";

    public static final String EXCEPTION_MSG_CODE_TYPE_ERROR = "operation action error";

    public static final String SUCCESS_MSG_CODE_SEND = "code send success";

    public static final String SUCCESS_MSG_CODE_SEND_MAIL = "mail send success";
    public static final String EXCEPTION_MSG_CODE_SEND_ERROR = "code send error";
    public static final String EXCEPTION_MAIL_CODE_SEND_ERROR = "mail send error";

    public static final Long VERIFY_CODE_KEY_EXPIRE_TIME = 15 * 60L;

    /**
     * 邀请链接过期时间24小时
     */
    public static final Long INVITE_VERIFY_CODE_KEY_EXPIRE_TIME = 72 * 60 * 60L;

    public static final Long VERIFY_CODE_KEY_RESEND_TIME = 60L;

    public static final String VERIFY_CODE_SEND_TOO_QUICKLY = "code send too quickly";


    public static final String EXCEPTION_MSG_EMAIL_EXIST = "该邮箱已有账号，请前往登录";

    public static final String EXCEPTION_MSG_EMAIL_NOT_REGISTER = "当前账号未注册，点击下一步我们将为您注册账号";

    public static final String EXCEPTION_MSG_EMAIL_LOGOUT_ING = "注销中，无法登录，若有问题可联系客服";

    public static final String EXCEPTION_MSG_USER_NOT_EXIST = "User is not exist";

    public static final String EXCEPTION_MSG_EMAIL_INVALID = "请输入正确的邮箱格式";

    public static final String EXCEPTION_MSG_PASSWORD_NOT_INCONSISTENT = "密码不一致，请重新输入";

    public static final String EXCEPTION_MSG_PASSWORD_SIZE_MIN = "包含至少6个字符";

    public static final String EXCEPTION_MSG_PASSWORD_SIZE_MAX = "包含最多24个字符";

}
